%define name fuse-emulator-utils
%define oname fuse-utils
%define version 0.8.0.1
%define distsuffix plf
%define release %mkrel 1

%define Summary A few tools to deal with ZX Spectrum emulator files

Summary: %Summary
Name: %name
Version: %version
Release: %release
License: GPL
Group: Emulators
URL: http://fuse-emulator.sourceforge.net/
Source: %oname-%version.tar.bz2
BuildRoot: %_tmppath/%oname-buildroot
BuildRequires: libz-devel libspectrum-devel libgcrypt-devel >= 1.1.42
Obsoletes: fuse-utils
Provides: fuse-utils

%description
The Fuse utilities are a few tools which may be of occasional use when
dealing with ZX Spectrum emulator files. They were originally
distributed with Fuse, the Free Unix Spectrum Emulator, but are now
independent of Fuse and can be used on their own.

The available utilities are:

* createhdf: create an empty .hdf IDE hard disk image.
* listbasic: list the BASIC in a snapshot or tape file.
* rzxcheck: verify the digital signature in an RZX file.
* rzxdump: list the contents of an RZX input recording file.
* rzxtool: add, extract or remove the embedded snapshot from an RZX file,
  or compress or uncompress the file.
* scl2trd: convert .scl disk images to .trd disk images.
* snap2tzx: convert snapshots to TZX tape images.
* snapconv: convert between snapshot formats.
* tapeconv: convert between .tzx and .tap files.
* tzxlist: list the contents of a TZX file.

This package is in PLF because it contains emulator related software.

%prep
%setup -q -n %oname-%version

%build
%configure
%make

%install
rm -rf %buildroot
%makeinstall

%clean
rm -rf %buildroot

%files
%defattr(0755,root,root,0755)
%_bindir/*
%defattr(0644,root,root,0755)
%doc README AUTHORS ChangeLog
%_mandir/*/*

%changelog
* Mon May 14 2007 Guillaume Bedot <littletux@zarb.org> 0.8.0.1-1plf2008.0
- 0.8.0.1
- drop source1 (now included in release)

* Wed May  2 2007 Guillaume Bedot <littletux@zarb.org> 0.8.0-1plf2008.0
- 0.8.0
- add missing ide.h
- drop conflicts (it prevented install...)

* Wed Jul 26 2006 Guillaume Bedot <littletux@zarb.org> 0.7.0-5plf2007.0
- fix conflicts

* Fri Jul 21 2006 Guillaume Bedot <littletux@zarb.org> 0.7.0-4plf2007.0
- conflicts with old fuse-utils package

* Wed Jul 19 2006 Guillaume Bedot <littletux@zarb.org> 0.7.0-3plf2007.0
- rebuild

* Wed Mar 15 2006 Guillaume Bedot <littletux@zarb.org> 0.7.0-2plf
- renamed fuse-emulator-utils
- updated URL
- use mkrel

* Mon Jul 19 2004 Miguel Barrio Orsikowsky <megamik@zarb.org> 0.7.0-1plf
- new version

* Sun May 9 2004 Miguel Barrio Orsikowsky <megamik@zarb.org> 0.6.2-1plf
- introduce in PLF
- new version
- changed spec file to meet Mandrake's skel.spec
- repackaged sources into bz2 format
- updated description and summary
- drop patch0

* Sat Feb 07 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.6.1-4mdk
- rebuild
- patch0 to not use gcrypt function (devel is still need)

* Mon Dec 15 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.6.1-3mdk
- introduce in contrib
  
* Sat Nov 1 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.6.1-2mdk
- made some fixes and cosmetic changes to the spec file

* Thu Sep 2 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.6.1-1mdk
- new version
- changed libspectrum0-devel intro libspectrum2-devel in BuildRequires

* Thu May 22 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.6.0-2mdk
- added BuildRequires

* Sun Apr 27 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.6.0-1mdk
- new version

* Fri Apr 25 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.5.1-1mdk
- first version of the package
- spec file written using Mandrake RPM HOWTO 1.1.1
